### A free/open-source library for quantitative finance

Classes
ql/math/integrals/kronrodintegral.hpp File Reference

Integral of a 1-dimensional function using the Gauss-Kronrod method. More...

`#include <ql/errors.hpp>`
`#include <ql/types.hpp>`
`#include <ql/utilities/null.hpp>`
`#include <ql/math/integrals/integral.hpp>`
`#include <boost/function.hpp>`
Include dependency graph for kronrodintegral.hpp:

## Classes

class | GaussKronrodNonAdaptive
| Integral of a 1-dimensional function using the Gauss-Kronrod methods. More...
class | GaussKronrodAdaptive
| Integral of a 1-dimensional function using the Gauss-Kronrod methods. More...

## Detailed Description

Integral of a 1-dimensional function using the Gauss-Kronrod method.